Note: Due to technical difficulties, the Archives are currently not up to date.
GMANE provides an alternative service for most mailing lists. c.f. bug 424647
List Archive: gentoo-commits
commit: 742f0c4aa83ecf7c416fb520c5ab52320228750c
Author: Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Sat Jun 23 16:37:03 2012 +0000
Commit: Kent Fredric <kentfredric <AT> gmail <DOT> com>
CommitDate: Sat Jun 23 16:37:03 2012 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/perl-overlay.git;a=commit;h=742f0c4a
[newversion] Test-EOL-1.300.0
(Portage version: 2.2.0_alpha101/git/Linux x86_64, signed Manifest commit with key 4132B87441EA24A4EB5E6DE181EC638ED7AE97A6)
---
dev-perl/Test-EOL/ChangeLog | 5 +++
dev-perl/Test-EOL/Test-EOL-1.300.0.ebuild | 50 +++++++++++++++++++++++++++++
2 files changed, 55 insertions(+), 0 deletions(-)
diff --git a/dev-perl/Test-EOL/ChangeLog b/dev-perl/Test-EOL/ChangeLog
index 313aa6e..3e58767 100644
--- a/dev-perl/Test-EOL/ChangeLog
+++ b/dev-perl/Test-EOL/ChangeLog
@@ -2,6 +2,11 @@
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*Test-EOL-1.300.0 (23 Jun 2012)
+
+ 23 Jun 2012; Kent Fredric <kentfredric@...> +Test-EOL-1.300.0.ebuild:
+ Version Bump
+
*Test-EOL-1.100.0 (29 Feb 2012)
29 Feb 2012; Kent Fredric <kentfredric@...> +Test-EOL-1.100.0.ebuild:
diff --git a/dev-perl/Test-EOL/Test-EOL-1.300.0.ebuild b/dev-perl/Test-EOL/Test-EOL-1.300.0.ebuild
new file mode 100644
index 0000000..f3545e3
--- /dev/null
+++ b/dev-perl/Test-EOL/Test-EOL-1.300.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+EAPI=4
+MODULE_AUTHOR=BOBTFISH
+MODULE_VERSION=1.3
+inherit perl-module
+
+DESCRIPTION='Check the correct line endings in your project'
+LICENSE=" || ( Artistic GPL-2 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+perl_meta_configure() {
+ # ExtUtils::MakeMaker 6.30 ( 6.300.0 )
+ echo \>=virtual/perl-ExtUtils-MakeMaker-6.30
+}
+perl_meta_runtime() {
+ # File::Find
+ echo dev-lang/perl
+ # File::Spec
+ echo virtual/perl-File-Spec
+ # FindBin
+ echo dev-lang/perl
+ # Test::Builder
+ echo virtual/perl-Test-Simple
+ # strict
+ echo dev-lang/perl
+ # vars
+ echo dev-lang/perl
+ # warnings
+ echo dev-lang/perl
+}
+perl_meta_test() {
+ # Config
+ #echo unresolved
+ # File::Temp
+ echo virtual/perl-File-Temp
+ # Test::More
+ echo virtual/perl-Test-Simple
+}
+DEPEND="
+ $(perl_meta_configure)
+ $(perl_meta_runtime)
+ test? ( $(perl_meta_test) )
+"
+RDEPEND="
+ $(perl_meta_runtime)
+"
+SRC_TEST="do"
|
|